incubator-jspwiki-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Burch <Br...@PingToo.com>
Subject Re: JSPWiki 2.8.4 released
Date Fri, 10 Sep 2010 10:00:58 GMT
On 31/08/10 22:16, Janne Jalkanen wrote:
> 2.8.4 has been released, available from the usual location at
> http://www.ecyrd.com/~jalkanen/JSPWiki/2.8.4/. Apologies for taking such
> a long time to get this one out.

I downloaded the source and loaded it as a netbeans project. I used my 
existing 2.8.1 project.xml classpath, but carefully confirmed that all 
the jars shipped in lib had the same names, with no deletions or additions.

I get one compilation error in 
src/com/ecyrd/jspwiki/content/Exporter.java because the class 
net.sourceforge.stripes.util.Base64 cannot be resolved.

I checked the README in lib and didn't find any reference to "stripes", 
"iHarder" or Base64.

I ran "ant clean war". The jar contains the Exporter class and it 
compiled without error, so SOMETHING on the compile classpath satisfied 
the import! Curiously, the war's WEB_INF/lib contains stripes-1.5.jar.

Ant debug showed me that the compile target's classpath includes 
tests/lib/stripes-1.5.jar, so that is why the compile is successful. 
Also, the war target adds stripes to the zipfileset that is copied to 
WEB-INF/lib.

It seems to me that stripes is required at runtime and should not be in 
tests/lib. Am I correct, and shouldn't it be moved to lib and mentioned 
in the README?

Sorry to post this to the users list, but I am not subscribed to the 
developers list.

Regards,

Brian


Mime
View raw message